Loading...
Searching...
No Matches
Opm::Linear::OverlappingBlockVector< FieldVector, Overlap > Class Template Reference

An overlap aware block vector. More...

`#include <overlappingblockvector.hh>`

Inheritance diagram for Opm::Linear::OverlappingBlockVector< FieldVector, Overlap >:

## Public Member Functions

| OverlappingBlockVector (const Overlap &overlap)
| Given a domestic overlap object, create an overlapping block vector coherent to it.
| OverlappingBlockVector (const OverlappingBlockVector &obv)
| Copy constructor.
| OverlappingBlockVector ()
| Default constructor.
OverlappingBlockVector & | operator= (const OverlappingBlockVector &obv)
| Assignment operator.
template<class BlockVector>
void | assignAddBorder (const BlockVector &nativeBlockVector)
| Assign an overlapping block vector from a non-overlapping one, border entries are added.
template<class NativeBlockVector>
void | assign (const NativeBlockVector &nativeBlockVector)
| Assign an overlapping block vector from a non-overlapping one, border entries are assigned using their respective master ranks.
template<class NativeBlockVector>
void | assignTo (NativeBlockVector &nativeBlockVector) const
| Assign the local values to a non-overlapping block vector.
void | sync ()
| Syncronize all values of the block vector from their master process.
void | syncAdd ()
| Syncronize all values of the block vector by adding up the values of all peer ranks.
void | print () const

## Detailed Description

template<class FieldVector, class Overlap>
class Opm::Linear::OverlappingBlockVector< FieldVector, Overlap >

An overlap aware block vector.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/overlappingblockvector.hh